import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__ from "@tachybase/test/e2e";
(0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('fields', async (param)=>{
    let { page, mockPage } = param;
    await mockPage(__WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.oneFormBlockBasedOnUsers).goto();
    await page.getByLabel('schema-initializer-Grid-form:configureFields-users').hover();
    await page.getByRole('menuitem', {
        name: 'Nickname'
    }).click();
    await page.getByRole('menuitem', {
        name: 'Username'
    }).click();
    await page.getByRole('menuitem', {
        name: 'Email'
    }).click();
    await page.mouse.move(300, 0);
    await page.getByLabel('block-item-CollectionField-users-form-users.nickname').hover();
    await page.getByLabel('block-item-CollectionField-users-form-users.nickname').getByLabel('designer-drag').dragTo(page.getByLabel('block-item-CollectionField-users-form-users.username'));
    await page.getByLabel('block-item-CollectionField-users-form-users.nickname').hover();
    await page.getByLabel('block-item-CollectionField-users-form-users.nickname').getByLabel('designer-drag').dragTo(page.getByLabel('block-item-CollectionField-users-form-users.email'));
    const nickname = await page.getByLabel('block-item-CollectionField-users-form-users.nickname').boundingBox();
    const username = await page.getByLabel('block-item-CollectionField-users-form-users.username').boundingBox();
    const email = await page.getByLabel('block-item-CollectionField-users-form-users.email').boundingBox();
    const max = Math.max(username.y, nickname.y, email.y);
    (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(nickname.y).toBe(max);
});
(0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('actions', async ()=>{});
